#pragma once

class CClippingFilter;

class CClippingFilterDlg
{
	public:
		CClippingFilterDlg( CClippingFilter* pCClippingFilter );

		void show( HWND hParent );

		LRESULT DlgMessage( HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam );

	private:
		// The pointer to the parent filter class.
		CClippingFilter* m_pCClippingFilter;

		void CreateControls( HWND hDlg );
		void OnCheckEnable( HWND hDlg );

		void OnSliderScroll( HWND hDlg );
		void OnCheckRadioButton( HWND hDlg, UINT id );
		void OnSelectColor( HWND hDlg );

		void OnPaint( HWND hDlg );
};
